import java.net.*;

/**
 * Muestra el uso de la clase InetAddress
 * @author Juan
 *  
 */
public class DireccionesIP {

   public static void main(String[] args) {
		byte[] b;
   	try{
   		// Si se pasa un argumento obtenemos la direccion IP
   		if (args.length>0){
   			String host = args[0];
   			InetAddress[] direcciones = InetAddress.getAllByName(host); 			
   			
   			for (int i=0;i<direcciones.length;i++){
   			   b = direcciones[i].getAddress();
   			   for (int j=0;j<b.length;j++)
   			      System.out.print(((int)b[j] & 0xFF) + " ");
   			   System.out.println("\n" + direcciones[i] + "\n");
   			}
   		}
   		// Si no obtenemos la direccion IP de la maquina local
   		else{
			   InetAddress direccion = InetAddress.getLocalHost();
				b = direccion.getAddress();
				for (int j=0;j<b.length;j++)
					System.out.print(((int)b[j] & 0xFF) + " ");
			   
			   System.out.println("\n" + direccion + "\n");
   		}
			   
			
   	}catch(Exception e){
   		e.printStackTrace();
   	}
   	
   }
}
