import java.net.*;
import java.io.*;

/**
 * Clase que muestra el uso de la clase URL
 * USO:
 *    java MuestraURL direccionURL
 */
public class MuestraURL {

   public static void main(String[] args) {
   	
      try {
         // Creacin de un objeto URL con el argumento pasado
         URL direccion = new URL(args[0]);
         
         // Obtencin del InputStream para leer
         InputStream entrada = direccion.openStream();
         
         // Usamos buffer para las operaciones de lectura
         BufferedInputStream buf = new BufferedInputStream(entrada);
         
         int dato;
         
         while ( (dato=buf.read())!=-1)
            System.out.print((char) dato);
         
      } catch (MalformedURLException e) {
         e.printStackTrace();
      } catch (IOException e) {
         e.printStackTrace();
      }
   }
}
