import java.net.*;
import java.io.*;
import javax.swing.*;
import javax.swing.text.html.HTMLDocument;

import java.awt.*;

/**
 * @author Juan
 *  
 */
public class MuestraWeb extends JFrame{

   MuestraWeb(String url,String urlImagenes){
   	
		try {
   	
   	   JPanel p = new JPanel();
   	   
   	   p.setLayout(new FlowLayout());
   	   
   	   JTextField palabra = new JTextField(20);
   	   JTextField pagina = new JTextField(20);
   	   JButton buscar = new JButton("Buscar");
   	   
   	   p.add(palabra);
   	   p.add(pagina);
   	   p.add(buscar);
   	   
   	   getContentPane().add(p,BorderLayout.NORTH);
   	   
   	
   	   JEditorPane area = new JEditorPane();

			area.setEditable(false);
			//area.setPage(url);
   	
			area.setContentType("text/html"); 
		   		   
			// Creacin de un objeto URL con el argumento pasado
			URL direccion = new URL(url);

			// Obtencin de un objeto URLConnection
			URLConnection conexion = direccion.openConnection();

			// Puedo cambiar las propiedades de la peticion para 
			// modificar el comportamiento del servidor (!)
			conexion.setRequestProperty("User-Agent","Mozilla/4.0 (compatible;MSIE 6.0; Windows NT 5.1)");
         
			conexion.connect();
                 
                  
			// Obtencin del InputStream para leer
		   InputStream entrada = conexion.getInputStream();
         
		   // Usamos buffer para las operaciones de lectura
		   BufferedReader buf = new BufferedReader(new InputStreamReader(entrada));
         
         StringBuffer almacen = new StringBuffer();
		   String cadena;
         
         
         
         boolean inicio=false;
         
         while ( (cadena=buf.readLine())!=null){
         	System.out.println(cadena);
            if (cadena.startsWith("<html><body>")){
				   almacen.append("<html></body>");
               inicio = true;
            }else if (cadena.startsWith("<html>")){
				   almacen.append("<html>");
				   inicio = true;
				}
            if (inicio == true)
               almacen.append(cadena + "\n");
         }

			buf.close();
			
         
			HTMLDocument doc = (HTMLDocument)area.getDocument();
			doc.setBase(new java.net.URL(urlImagenes));

		   area.setText(almacen.toString());
		   	
			getContentPane().add(new JScrollPane(area),BorderLayout.CENTER);
			setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);

			setSize(800,800);
 
			setVisible(true);
 
         
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}   	   	

   	
   }

	public static void main(String[] args) {
		String baseURL = "http://www.google.com/search";
		String baseImagenes = "http://www.google.com/";
		
		// La busqueda comienza con el simbolo ?
		String argumentos = "?";
   	
		// Construimos los argumentos 
		argumentos += URLEncoder.encode("q") +
						  "=" + URLEncoder.encode(args[0]);
		
		argumentos += "&";
		
		argumentos += URLEncoder.encode("start") +
						  "=" + URLEncoder.encode(args[1]);
   	
		// Concatenamos baseURL y argumentos
		String finalURL = baseURL + argumentos;  	
   	new MuestraWeb(finalURL,baseImagenes);
		//new MuestraWeb("http://www.uv.es","http://www.uv.es/~webuv/");
		//new MuestraWeb("http://localhost","http://localhost/");
	}
}
