import java.io.*;
import java.net.*;


public class ClienteTCP {

   public static void main(String[] args) {
   	
   	String host = args[0];
   	int puerto = Integer.parseInt(args[1]);
   	
      try {
      	
      	// Se crea un socket que se conecta a la maquina y puerto especificados
      	
         Socket tcpSocket =  new Socket(host, puerto);
            
         /* Puesto que se desean escribir enteros se envuelve el OutputStream
          * con un DataOutputStream
          */
         DataOutputStream outFormateada = new DataOutputStream(tcpSocket.getOutputStream());
         
         // Se escribe el numero de datos que vamos a enviar
         outFormateada.writeInt((int)30);
         
         // Enviamos los datos
         for (int i=0;i<30; i++)
            outFormateada.writeInt(i);
         
         // Se cierra la conexion
         tcpSocket.close();
      } catch (UnknownHostException e) {
          e.printStackTrace();
      } catch (IOException e) {
         e.printStackTrace();
      }
      
   }
}

  